<%- include('../partials/header') %>

<div class="container mt-5">

    <% if (typeof error !=='undefined' ) {%>
    <div class="alert alert-danger">
        <%= error.errors[0].message %>
    </div>
    <% } %>

    <form method="POST" id="createUserForm" action="/api/user/edit">
        <input type="hidden" name="id" value="<%= users.id %>">
        <div>
            <label for="userName">User Name</label>
            <input type="text" name="userName" placeholder="Input user name" onChange="checkEditUser()" class="form-control mb-2" 
            value="<%= users.userName %>">
            <label for="email">Email</label>
            <input type="text" name="email" placeholder="Input email" onChange="checkEditUser()" class="form-control mb-2" 
            value="<%= users.email %>">
            <label for="password">Password</label>
            <input type="text" name="password" placeholder="Input password" onChange="checkEditUser()" class="form-control mb-2" 
            value="<%= users.password %>">

        </div>

        <button id="saveBtn" type="submit" class="btn btn-success text-white mt-1 me-2">Save</button>
        <a href="/" class="btn btn-danger mt-1">Cancel</a>
    </form>

</div>


<%- include('../partials/footer') %>